/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkAboutDialog.h
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fri, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#ifndef ABOUTDIALOG_H__
#define ABOUTDIALOG_H__


#include <QDialog>
#include "ui_ritkAboutDialog.h"

namespace ritk
{

/**	@ingroup	Core
 *	@class		AboutDialog
 *	@author		Jakob Wasza / Sebastian Bauer
 *	@brief		The about dialog 
 *
 *	@details
 *	The about dialog. Self-explanatory...
 */
class AboutDialog : public QDialog, public Ui_AboutDialog
{
	Q_OBJECT

public:
	/// Constructor
	AboutDialog(QWidget* parent = 0);
	/// Destructor
	virtual ~AboutDialog();
};


} // end namespace ritk

#endif // ABOUTDIALOG_H__
