/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkVTK.h
	Version:		$Revision: 1821 $
	Date:			$Date: 2011-10-02 15:41:17 +0200 (Sun, 02 Oct 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include <QtCore/QtGlobal>

namespace ritk
{

// Shared library export/import macro for the visualization group
#if defined(RITKVTK_SHAREDLIB_EXPORT)
#  define RITKVTK_EXPORT Q_DECL_EXPORT
#else
#  define RITKVTK_EXPORT Q_DECL_IMPORT
#endif

// Doxygen group for the VTK module
/** @defgroup ritkVTK ritkVTK
 *	VTK frontend in the RITK framework
 */
  
} // end namespace ritk
