/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkVisualization.h
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fri, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/


#if 0
#include <QtOpenGL>
#undef __glext_h_
#undef __glxext_h_
#undef __gl_h_
#include <GLee.h>
#else
#endif

namespace ritk
{

// Shared library export/import macro for the visualization group
#if defined(VISUALIZATION_SHAREDLIB_EXPORT)
#  define VISUALIZATION_EXPORT Q_DECL_EXPORT
#else
#  define VISUALIZATION_EXPORT Q_DECL_IMPORT
#endif

// Doxygen group for Visualization
/** @defgroup Visualization Visualization
 *	Visualization tools that are used within the RITK framework
 */
  
} // end namespace ritk
